/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.3.6,
* Autoprefixer: v10.3.1
* Browsers: last 6 version
*/

body, #primary-content {
  overflow-x: hidden;
  /* padding: 0!important; */
}

/* containers */
.ih-header {
  background-color: #3C3E42;
  padding: 55px 0;
}

.container.ih {
  max-width: 860px;
  padding: 0 30px!important;
}

/* type */
.rwd .graybox h3 {
  margin: 5px 0 7px 0;
}
.rwd h4 {
  font-size: 20px;
}
.rwd .instructions-header {
  font-weight: lighter;
  margin: 20px 0 20px 0;
}
.reg {
  font-size: 1rem;
}
.med {
  font-size: .875rem;
}
.sm {
  font-size: .6875rem;
}
.rwd .intro-paragraph {
  margin: 18px 0 0 0;
}
#the-form a {
  display: block;
}
.custom-anchors a:link {
  text-decoration: underline;
}
.custom-anchors a:visited {
  text-decoration: underline;
}
.custom-anchors a:hover {
  text-decoration: underline;
}
.custom-anchors a:active {
  text-decoration: underline;
}
.custom-ul ul {
  padding-left: 25px;
}
.link-list {
  margin: 20px 0 0 0;
}
.link-list a {
  display: block;
  margin-bottom: 10px;
}
.download-tile {
  width: 100%;
  background: white;
  padding: 5px;
  margin: 12px 0px;
}

.dowload-steps {
  font-weight: 600;
  font-family: "intel-one","intel-clear",Helvetica,Arial,sans-serif;
  font-size: 0.9rem;
  display: inline-block;
}
.dowload-steps-desc {
  display: inline;
  font-family: "intel-one","intel-clear",Helvetica,Arial,sans-serif;
  font-size: 0.9rem;
}
.download-tile .download-tile-interior {
  display: block;
  color: #242528;
  border: 1px dashed;
  padding: 10px;
  font-size: 1rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}
.download-tile-interior svg {
  width: 1rem;
  cursor: pointer;
}

.fa-info-circle {
  margin-right: .5rem;
}

/* show/hide */
.hide {
  display: none;
}
.show {
  display: block;
}

/* bg colors */
.bg-light-gray {
  background-color: #E9EAEB;
  margin-top: 15px;
}
.bg-extra-light-gray {
  background-color: #F9F9F9;
  margin-top: 15px;
}

/* padding/margin */
.padding-15 {
  padding: 15px;
}
.padding-t-15 {
  padding-top: 15px;
}
.margin-top-bottom {
  margin: 20px 0!important;
  display: block;
}
.no-pad-top {
  padding-top: 0!important;
}
.no-pad-bottom {
  padding-bottom: 0!important;
}
.no-margin-top {
  margin-top: 0!important;
}
.no-margin-bottom {
  margin-bottom: 0!important;
}
.margin-bottom-sm {
  margin-bottom: 5px!important;
}

/* radio as button classes */
.button-row {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  margin: 0 -5px 10px -5px;
}
.width-50, .width-33 {
  width: 100%;
  margin: 0;
}
@media screen and (min-width: 480px) {
  .width-50 {
    width: calc(50% - 10px);
    margin: 0 5px;
  }
  .width-33 {
    width: calc(33.33333333% - 10px);
    margin: 0 5px;
  }
}
.radio-as-button {
  position: relative;
  text-align: center;
  padding: 5px 15px;
  margin-bottom: 10px!important;
  cursor: pointer;
  display: -webkit-box!important;
  display: -ms-flexbox!important;
  display: flex!important;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
.radio-as-button input {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: white;
  cursor: pointer;
  margin: 0!important;
  border-radius: 0;
}
.radio-as-button input:focus {
  outline: 0!important;
}
.radio-as-button input:checked {
  background: #76CEFF;
}
.radio-as-button .label-content {
  position: relative;
  z-index: 1;
}
.radio-as-button .label-content h4 {
  font-size: 1rem;
  margin: 5px 0;
}
.radio-as-button .label-content p {
  font-weight: normal;
  margin: 0;
}

/* tables */
.ih-table {
  border-collapse: collapse;
  border: 1px solid #2B2C3057;
  width: 100%;
  margin-top: 15px;
}
.ih-table tr {
  border: 1px solid #2B2C3057;
  background-color: #F4F5F5;
}
.ih-table tr:nth-child(even) {
  background-color: #F9F9F9;
}
.ih-table th, .ih-table td {
  padding: 7px;
  border-right: 1px solid #2B2C3057;
}

/* eloqua form */
select, input[type=email] {
  height: 36px;
  padding: 5px 10px;
  border: 1px solid #C9CACE;
  font-size: .875rem!important;
  line-height: 1.2!important;
  margin-top: 2px!important;
  margin-right: 5px!important;
}
@media screen and (min-width: 700px) {
  .fields-holder {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
  }
}
.field-control-wrapper, .emailAdress {
  display: inline-block;
}
.LV_invalid, .error {
  color: #ffffff;
  display: block;
  font-size: .88rem;
  line-height: 20px;
  background-color: #C81326;
  padding: 8px;
  margin-top: 10px;
}
select {
  min-width: 220px;
}
.button {
  display: inline-block!important;
  margin: 10px 0 16px 0;
  font-size: 1rem!important;
  line-height: 1;
  padding: 10px 15px 8px 15px;
  font-weight: bold;
  border-radius: 0;
  border: 0;
  background-color: #0068B5!important;
  text-decoration: none!important;
  color: white!important;
}
.button:link {
  color: white;
  text-decoration: none;
}
.button:visited {
  color: white;
  text-decoration: none;
}
.button:hover {
  color: white;
  text-decoration: none;
}
.button:active {
  color: white;
  text-decoration: none;
}
.button:disabled, .button.disabled {
  background-color: #ccc!important;
  pointer-events: none;
  cursor: auto;
}
.button span {
  font-weight: 100;
}
.message {
  font-size: .875rem;
  font-style: italic;
}
@media screen and (min-width: 480px) {
  .links-and-button-grid {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: end;
        -ms-flex-align: end;
            align-items: flex-end;
  }
}
.LV_valid {
  display: none !important;
}
#frameworks {
  padding-top: 20px;
}
.text-to-copy {
  /* These are technically the same, but use both */
  overflow-wrap: break-word;
  word-wrap: break-word;

  -ms-word-break: break-all;
  /* This is the dangerous one in WebKit, as it breaks things wherever */
  word-break: break-all;
  /* Instead use this non-standard one: */
  word-break: break-word;
  max-width: 80%;
}

.apt-ubuntu-version {
  margin: 12px 0 -12px 0;
}

.download-tile-interior.overflow-container {
  position: relative;
}

.download-tile-interior.overflow-container .icon.copy {
  position: absolute;
  right: 10px;
  background-color: white;
}

.download-tile-interior.overflow-container .overflow {
  overflow-x: auto;
  padding-right: 30px;
  max-width: unset;
}

.nowrap {
  white-space: nowrap;
}

.pre-wrap {
  white-space: pre;
}

.the-frameworks-list li {
  text-transform: capitalize;
}

#python-label, #python-label input:checked {
  background-color: #C9CACE;
  cursor: auto;
}

/* Redesigned email form */
.container.email-section {
  --spark-heading-margin-block: 1rem;
  --spark-font-size-400: 2.25rem;
  --spark-font-size-100: 1rem;
  --spark-font-size-50: 0.75rem;
  --spark-font-intel-one-display: "intel-one","intel-clear",Helvetica,Arial,sans-serif;
  --spark-font-intel-one-text: "intel-one","intel-clear",Helvetica,Arial,sans-serif;
  --spark-line-height-heading: 1.3;
  --spark-line-height-text: 1.5;

  --spark-fieldlabel-font-family: "intel-one","intel-clear",Helvetica,Arial,sans-serif;
  --spark-fieldlabel-inline-size: max-content;

  --spark-fieldlabel-l-font-size: 14px;
  --spark-fieldlabel-l-line-height: 16px;

  --spark-button-font-family: "intel-clear","intel-one",Helvetica,Arial,sans-serif;
  --spark-button-font-weight: 700;

  --spark-button-l-font-size: 16px;
  --spark-button-l-block-size: 40px;
  --spark-button-l-line-height: 22px;
  --spark-button-l-padding-block: 12px;
  --spark-button-l-padding-inline: 20px;

  --spark-textfield-color: #6a6d75;

  --spark-input-font-family: "intel-clear","intel-one",Helvetica,Arial,sans-serif;
  --spark-input-l-padding-outline-inline: 16px;
  --spark-input-color: #ffffff;
  --spark-input-border-color: #ffffff;
  --spark-input-border-width: 1px;
  --spark-input-bg-color-outline: transparent;
  --spark-input-l-font-size: 16px;
  --spark-input-l-block-size: 40px;
  --spark-input-l-line-height: 18px;
}

.container.email-section {
  font-size: 14px;
  max-width: 880px;
  padding: 8px 40px 16px;
  margin: 15px auto;
  background-color: #0054AE;
  color: #ffffff;
}

.email-section header {
  display: flex;
  margin-bottom: 13px;
}

.email-section header .decoration {
  --size: 64px;
  width: var(--size);
  height: var(--size);
  margin-right: 15px;
  margin-left: -23px;
  margin-top: 11px;
  background: url(/content/dam/develop/public/us/en/images/admin/openvino/intel.web.1920.png) no-repeat center;
}

.email-section .spark-heading {
  margin-block: var(--spark-heading-margin-block);
}

.email-section .spark-font-400 {
  font-size: var(--spark-font-size-400, 2.25rem);
  font-family: var(--spark-font-intel-one-display);
  font-weight: normal;
  line-height: var(--spark-line-height-heading, 1.3);
  letter-spacing: 0;
}

.email-section .spark-font-100 {
  font-size: var(--spark-font-size-100, 0.75rem);
  font-family: var(--spark-font-intel-one-text);
  font-weight: normal;
  line-height: var(--spark-line-height-text, 1.5);
  letter-spacing: 0.25px;
}

.email-section .spark-font-50 {
  font-size: var(--spark-font-size-50, 0.75rem);
  font-family: var(--spark-font-intel-one-text);
  font-weight: normal;
  line-height: var(--spark-line-height-text, 1.5);
  letter-spacing: 0.25px;
}

.email-section section {
  display: flex;
}

.email-section p,
.email-section ul {
  margin-bottom: 16px;
}

.email-section .col-55 {
  width: 55%;
  flex-basis: 55%;
}

.email-section .col-45 {
  width: 45%;
  flex-basis: 45%;
  padding-left: 45px;
  box-sizing: border-box;
}

.email-section ul {
  list-style-type: square;
}

.email-section .field-block {
  margin-bottom: 24px;
}

.email-section .spark-fieldlabel {
  display: table-caption;
  box-sizing: border-box;
  font-family: var(--spark-fieldlabel-font-family);
  inline-size: var(--spark-fieldlabel-inline-size);
  padding-inline: 0px;
}
.email-section .spark-fieldlabel-size-l {
  font-size: var(--spark-fieldlabel-l-font-size);
  line-height: var(--spark-fieldlabel-l-line-height);
}

.email-section .spark-textfield {
  color: #ffffff;
  position: relative;
  box-sizing: border-box;
}

.email-section .spark-input-outline.spark-input-size-l {
  padding-inline-start: var(--spark-input-l-padding-outline-inline);
}
.email-section .spark-textfield .spark-input {
  inline-size: 100%;
}
.email-section .spark-input {
  color: var(--spark-input-color);
  cursor: pointer;
  box-sizing: border-box;
  font-family: var(--spark-input-font-family);
  border-color: var(--spark-input-border-color);
  border-style: solid;
}
.email-section .spark-input:focus {
  outline: none;
}
.email-section .spark-input-outline {
  border-width: var(--spark-input-border-width);
  background-color: var(--spark-input-bg-color-outline);
}
.email-section .spark-input-size-l {
  font-size: var(--spark-input-l-font-size);
  block-size: var(--spark-input-l-block-size);
  line-height: var(--spark-input-l-line-height);
}

.email-section .spark-button {
  cursor: pointer;
  display: flex;
  box-sizing: border-box;
  align-items: center;
  font-family: var(--spark-button-font-family);
  font-weight: var(--spark-button-font-weight);
  inline-size: max-content;
  white-space: nowrap;
  border-style: solid;
  border-width: 1px;
  justify-content: center;
  max-inline-size: var(--spark-button-max-inline-size);
  text-decoration: none;

  margin-bottom: 17px;
}

.email-section .spark-button-size-l {
  font-size: var(--spark-button-l-font-size);
  block-size: var(--spark-button-l-block-size);
  line-height: var(--spark-button-l-line-height);
  min-inline-size: calc(var(--spark-button-l-block-size) * 2.25);
  padding-block-end: var(--spark-button-l-padding-block);
  padding-inline-end: var(--spark-button-l-padding-inline);
  padding-block-start: var(--spark-button-l-padding-block);
  padding-inline-start: var(--spark-button-l-padding-inline);
}

.email-section  .spark-button-action {
  color: #000000;
  border-color: transparent;
  background-color: #ffffff;
  transition: background-color .2s ease-in-out;
}
.email-section  .spark-button-action:hover {
  background: rgba(255, 255, 255, 0.85);
}
.email-section  .spark-button-action:active {
  background: rgba(255, 255, 255, 0.7);
}

.email-section a {
  color: #ffffff;
}
.email-section a:hover {
  color: #ffffff;
}

.email-section select {
  margin: 0;
  width: 100%;
  color: #ffffff;
  background: transparent;
  border-color: #ffffff;
  font-size: var(--spark-input-l-font-size);
  line-height: var(--spark-input-l-line-height);
  block-size: var(--spark-input-l-block-size);
  /* remove this line after attach focus styles */
  outline: none; 
}

.email-section select option {
  color: #383838;
}

@media screen and (max-width: 700px) {
  .email-section section {
    flex-wrap: wrap;
  }
  .email-section .col-55,
  .email-section .col-45 {
    width: 100%;
    flex-basis: 100%;
    padding-left: 0;
  }
}

@media
  screen and (-webkit-min-device-pixel-ratio: 2),
  screen and (min-resolution: 192dpi),
  screen and (min-resolution: 2dppx) {
    .email-section header .decoration {
      background-image: url(/content/dam/develop/public/us/en/images/admin/openvino/intel.web.1920@2x.png);
      background-size: 100%;
    }
}
/* end Redesigned email form */
